#ifndef BMP280_H
#define BMP280_H

#include <stdbool.h>
#include <stdint.h>

#include <fxp.h>

bool bmp280_init(void);
bool bmp280_loop(void); // returns true when measurement cycle has terminated (successfully or with error)

bool bmp280_start_measurement(void);

bool bmp280_are_measurements_valid(void);
fxp_t bmp280_get_temperature(void);
fxp_t bmp280_get_pressure(void);

#endif // BMP280_H
